Merge branch 'master' of ssh://gnunet.org/gnunet
[oweals/gnunet.git] / src / gns / test_gns_soa_lookup.sh
1 #!/bin/bash
2 trap "gnunet-arm -e -c test_gns_lookup.conf" SIGINT
3
4 LOCATION=$(which gnunet-config)
5 if [ -z $LOCATION ]
6 then
7   LOCATION="gnunet-config"
8 fi
9 $LOCATION --version 1> /dev/null
10 if test $? != 0
11 then
12         echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
13         exit 77
14 fi
15
16 which timeout &> /dev/null && DO_TIMEOUT="timeout 5"
17
18 rm -rf `gnunet-config -c test_gns_lookup.conf -f -s paths -o GNUNET_TEST_HOME`
19 MY_EGO="myego"
20 TEST_DOMAIN="homepage.$MY_EGO"
21 # some public DNS resolver we can use
22 TEST_IP_GNS2DNS="184.172.157.218"
23 TEST_RECORD_NAME="homepage"
24 TEST_RECORD_GNS2DNS="gnunet.org"
25
26 if ! nslookup $TEST_RECORD_GNS2DNS $TEST_IP_GNS2DNS &> /dev/null
27 then
28   echo "Cannot reach DNS, skipping test"
29   exit 77
30 fi
31
32 gnunet-arm -s -c test_gns_lookup.conf
33 gnunet-identity -C $MY_EGO -c test_gns_lookup.conf
34 gnunet-namestore -p -z $MY_EGO -a -n $TEST_RECORD_NAME -t GNS2DNS -V ${TEST_RECORD_GNS2DNS}@${TEST_IP_GNS2DNS} -e never -c test_gns_lookup.conf
35 RES_SOA=`$DO_TIMEOUT gnunet-gns --raw -u $TEST_DOMAIN -t SOA -c test_gns_lookup.conf`
36 gnunet-namestore -z $MY_EGO -d -n $TEST_RECORD_NAME -t GNS2DNS -V ${TEST_RECORD_GNS2DNS}@${TEST_IP_GNS2DNS} -e never -c test_gns_lookup.conf &> /dev/null
37 gnunet-identity -D $MY_EGO -c test_gns_lookup.conf
38 gnunet-arm -e -c test_gns_lookup.conf
39 rm -rf `gnunet-config -c test_gns_lookup.conf -f -s paths -o GNUNET_TEST_HOME`
40
41 if [ "x$RES_SOA" != "x" ]
42 then
43   echo "PASS: Resolved SOA for $TEST_DOMAIN to $RES_SOA."
44   exit 0
45 else
46   echo "Failed to resolve to proper SOA for $TEST_DOMAIN, got no result."
47   exit 1
48 fi